## node-babel7 7.18.8+~cs214.249.185

=== Makefile ===
FLOW_COMMIT = 92bbb5e9dacb8185aa73ea343954d0434b42c40b
TEST262_COMMIT = 3ddfa0cd1355198f7f4e8c8f2d44fa94c35c07ae
TYPESCRIPT_COMMIT = ce85d647ef88183c019588bcf398320ce29b625a

# Fix color output until TravisCI fixes https://github.com/travis-ci/travis-ci/issues/7967
export FORCE_COLOR = true

SOURCES = packages codemods eslint

COMMA := ,
EMPTY :=
SPACE := $(EMPTY) $(EMPTY)
COMMA_SEPARATED_SOURCES = $(subst $(SPACE),$(COMMA),$(SOURCES))

YARN := yarn
NODE := $(YARN) node


.PHONY: build build-dist watch lint fix clean test-clean test-only test test-ci publish bootstrap

build: build-no-bundle
ifneq ("$(BABEL_COVERAGE)", "true")
	$(MAKE) build-standalone
endif

build-bundle: clean clean-lib
	$(YARN) gulp build
	$(MAKE) build-flow-typings
	$(MAKE) build-dist

build-no-bundle-ci: bootstrap-only
	$(YARN) gulp build-dev
	$(MAKE) build-flow-typings
	$(MAKE) build-dist

build-no-bundle: clean clean-lib
	BABEL_ENV=development $(YARN) gulp build-dev
	$(MAKE) build-flow-typings
	$(MAKE) build-dist

generate-tsconfig:
	$(NODE) scripts/generators/tsconfig.js
	$(NODE) scripts/generators/archived-libs-typings.js

generate-type-helpers:
	$(YARN) gulp generate-type-helpers

build-flow-typings:
	$(NODE) packages/babel-types/scripts/generators/flow.js > packages/babel-types/lib/index.js.flow

# For TypeScript older than 3.7
build-typescript-legacy-typings:
	$(NODE) packages/babel-types/scripts/generators/typescript-legacy.js > packages/babel-types/lib/index-legacy.d.ts

build-standalone: build-babel-standalone

build-standalone-ci: build-no-bundle-ci
	$(MAKE) build-standalone

build-babel-standalone:
	$(YARN) gulp build-babel-standalone

prepublish-build-standalone:
	BABEL_ENV=production IS_PUBLISH=true $(YARN) gulp build-babel-standalone

build-dist: build-plugin-transform-runtime-dist

build-plugin-transform-runtime-dist:
	cd packages/babel-plugin-transform-runtime; \
	$(NODE) scripts/build-dist.js

watch: build-no-bundle
	BABEL_ENV=development $(YARN) gulp watch

flowcheck-ci:
	$(MAKE) flow

code-quality: tscheck flow lint

tscheck: generate-tsconfig
	rm -rf dts
	$(YARN) tsc -b .

flow: build-flow-typings
	$(YARN) flow check --strip-root

lint-ci: lint check-compat-data-ci

check-compat-data-ci:
	$(MAKE) check-compat-data

lint:
	BABEL_ENV=test $(YARN) eslint scripts benchmark $(SOURCES) '*.{js,cjs,mjs,ts}' --format=codeframe --ext .js,.cjs,.mjs,.ts

fix: fix-json fix-js

fix-js:
	$(YARN) eslint scripts benchmark $(SOURCES) '*.{js,cjs,mjs,ts}' --format=codeframe --ext .js,.cjs,.mjs,.ts --fix

fix-json:
	$(YARN) prettier "{$(COMMA_SEPARATED_SOURCES)}/*/test/fixtures/**/options.json" --write --loglevel warn

check-compat-data:
	cd packages/babel-compat-data; CHECK_COMPAT_DATA=true $(YARN) run build-data

build-compat-data:
	cd packages/babel-compat-data; $(YARN) run build-data

clean: test-clean
	rm -f .npmrc
	rm -rf coverage
	rm -rf packages/*/npm-debug*
	rm -rf node_modules/.cache

test-clean:
	$(foreach source, $(SOURCES), \
		$(call clean-source-test, $(source)))

# Does not work on Windows; use "$(YARN) jest" instead
test-only:
	BABEL_ENV=test ./scripts/test.sh
	$(MAKE) test-clean

test: lint test-only

test-ci: build-standalone-ci
	BABEL_ENV=test $(YARN) jest --maxWorkers=4 --ci
	$(MAKE) test-clean

# Does not work on Windows
test-ci-coverage: SHELL:=/bin/bash
test-ci-coverage:
	BABEL_COVERAGE=true BABEL_ENV=test $(MAKE) bootstrap
	BABEL_ENV=test TEST_TYPE=cov ./scripts/test-cov.sh

bootstrap-flow:
	rm -rf build/flow
	mkdir -p build
	git clone --single-branch --shallow-since=2021-05-01 https://github.com/facebook/flow.git build/flow
	cd build/flow && git checkout -q $(FLOW_COMMIT)

test-flow:
	$(NODE) scripts/parser-tests/flow

test-flow-update-allowlist:
	$(NODE) scripts/parser-tests/flow --update-allowlist

bootstrap-typescript:
	rm -rf ./build/typescript
	mkdir -p ./build
	git clone --single-branch --shallow-since=2022-04-01 https://github.com/microsoft/TypeScript.git ./build/typescript
	cd build/typescript && git checkout -q $(TYPESCRIPT_COMMIT)

test-typescript:
	$(NODE) scripts/parser-tests/typescript

test-typescript-update-allowlist:
	$(NODE) scripts/parser-tests/typescript --update-allowlist

bootstrap-test262:
	rm -rf build/test262
	mkdir -p build
	git clone --single-branch --shallow-since=2021-05-01 https://github.com/tc39/test262.git build/test262
	cd build/test262 && git checkout -q $(TEST262_COMMIT)

test-test262:
	$(NODE) scripts/parser-tests/test262

test-test262-update-allowlist:
	$(NODE) scripts/parser-tests/test262 --update-allowlist

# Does not work on Windows
clone-license:
	./scripts/clone-license.sh

prepublish-build: clean-lib clean-runtime-helpers
	NODE_ENV=production BABEL_ENV=production STRIP_BABEL_8_FLAG=true $(MAKE) build-bundle
	STRIP_BABEL_8_FLAG=true $(MAKE) prepublish-build-standalone clone-license prepublish-prepare-dts

prepublish-prepare-dts:
	$(MAKE) tscheck
	$(YARN) gulp bundle-dts
	$(MAKE) build-typescript-legacy-typings

prepublish:
	$(MAKE) bootstrap-only
	$(MAKE) prepublish-build
	IS_PUBLISH=true $(MAKE) test

new-version-checklist:
	# @echo "!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!"
	# @echo "!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!"
	# @echo "!!!!!!                                                   !!!!!!"
	# @echo "!!!!!!         Write any message that should             !!!!!!"
	# @echo "!!!!!!            block the release here                 !!!!!!"
	# @echo "!!!!!!                                                   !!!!!!"
	# @echo "!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!"
	# @echo "!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!"
	# @exit 1

new-version:
	$(MAKE) new-version-checklist
	git pull --rebase
	$(YARN) release-tool version -f @babel/standalone

# NOTE: Run make new-version first
publish:
	@echo "Please confirm you have stopped make watch. (y)es, [N]o:"; \
	read CLEAR; \
	if [ "_$$CLEAR" != "_y" ]; then \
		exit 1; \
	fi
	$(MAKE) prepublish
	$(YARN) release-tool publish
	$(MAKE) clean

publish-test:
ifneq ("$(I_AM_USING_VERDACCIO)", "I_AM_SURE")
	echo "You probably don't know what you are doing"
	exit 1
endif
	$(YARN) release-tool version $(VERSION) --all --yes --tag-version-prefix="version-e2e-test-"
	$(MAKE) prepublish-build
	YARN_NPM_PUBLISH_REGISTRY=http://localhost:4873 $(YARN) release-tool publish --yes --tag-version-prefix="version-e2e-test-"
	$(MAKE) clean

bootstrap-only: clean-all
	$(YARN) install

bootstrap: bootstrap-only
	$(MAKE) generate-tsconfig build

clean-lib:
	$(foreach source, $(SOURCES), \
		$(call clean-source-lib, $(source)))

clean-runtime-helpers:
	rm -f packages/babel-runtime/helpers/**/*.js
	rm -f packages/babel-runtime-corejs2/helpers/**/*.js
	rm -f packages/babel-runtime-corejs3/helpers/**/*.js
	rm -f packages/babel-runtime/helpers/**/*.mjs
	rm -f packages/babel-runtime-corejs2/helpers/**/*.mjs
	rm -f packages/babel-runtime-corejs3/helpers/**/*.mjs
	rm -rf packages/babel-runtime-corejs2/core-js

clean-all:
	rm -rf node_modules
	rm -rf package-lock.json
	rm -rf .changelog

	$(foreach source, $(SOURCES), \
		$(call clean-source-all, $(source)))

	$(MAKE) clean

update-env-corejs-fixture:
	rm -rf packages/babel-preset-env/node_modules/core-js-compat
	$(YARN)
	$(MAKE) build-bundle
	OVERWRITE=true $(YARN) jest packages/babel-preset-env

define clean-source-lib
	rm -rf $(1)/*/lib

endef

define clean-source-test
	rm -rf $(1)/*/test/tmp
	rm -rf $(1)/*/test-fixtures.json

endef

define clean-source-all
	$(call clean-source-lib, $1)
	rm -rf $(1)/*/node_modules
	rm -rf $(1)/*/package-lock.json

endef

=== debian/changelog ===
node-babel7 (7.18.8+~cs214.249.185-1) unstable; urgency=medium

  * Team upload
  * Simplify build using pkgjs-install-minimal
  * New upstream version 7.18.8+~cs214.249.185
  * Unfuzz patches

 -- Yadd <yadd@debian.org>  Sun, 10 Jul 2022 22:48:54 +0200

node-babel7 (7.18.7+~cs214.249.185-1) unstable; urgency=medium

  * Team upload
  * Fix babel-standalone: link @jridgewell/set-array and
    @jridgewell/source-map during builb
  * New upstream version 7.18.7+~cs214.249.185

 -- Yadd <yadd@debian.org>  Thu, 30 Jun 2022 06:51:43 +0200

node-babel7 (7.18.6+~cs214.249.185-1) unstable; urgency=medium

  * Team upload
  * New upstream version 7.18.6+~cs214.249.185
  * Embed @types/charcodes
  * Refresh patches
  * Update build and fix links for recent @rollup/plugin-commonjs

 -- Yadd <yadd@debian.org>  Tue, 28 Jun 2022 17:55:30 +0200

node-babel7 (7.18.5+~cs214.249.185-1) unstable; urgency=medium

  * Team upload
  * New upstream version 7.18.5+~cs214.249.185
  * Unfuzz patches

 -- Yadd <yadd@debian.org>  Thu, 16 Jun 2022 06:38:47 +0200

node-babel7 (7.18.4+~cs214.249.185-2) unstable; urgency=medium

  * Team upload
  * Declare compliance with policy 4.6.1
  * Use terser, not uglifyjs.terser
  * Build babel-standalone with babel 7.18

 -- Yadd <yadd@debian.org>  Tue, 07 Jun 2022 10:06:32 +0200

node-babel7 (7.18.4+~cs214.249.185-1) unstable; urgency=medium

  * Team upload
  * Use new node-babel-polyfills and drop related components
  * New upstream version 7.18.4+~cs214.249.185
  * Unfuzz patches
  * Update tsc patch
  * Require node-rollup-plugin-babel >= 5.3.1
  * Update build modules
  * Temporarily accept babel-standalone's build failures

 -- Yadd <yadd@debian.org>  Tue, 07 Jun 2022 08:15:02 +0200

node-babel7 (7.17.11+~cs214.263.190-2) unstable; urgency=medium

  [ Yadd ]
  * Drop useless build dependency to node-rollup-plugin-node-polyfills

  [ Pirate Praveen ]
  * Drop build dependency on deprecated node-gulp-util (unused)

 -- Pirate Praveen <praveen@debian.org>  Thu, 12 May 2022 22:57:38 +0530

node-babel7 (7.17.11+~cs214.263.190-1) unstable; urgency=medium

  * Team upload
  * Apply multi-arch hints (foreign)
  * Update copyright
  * Update lintian-overrides
  * New upstream version 7.17.11+~cs214.263.190
  * Refresh patches
  * Update build modules
  * Require node-ampproject-remapping >= 2.2~
  * Update build
  * Update copyright

 -- Yadd <yadd@debian.org>  Sun, 01 May 2022 09:12:07 +0200

node-babel7 (7.17.9+~cs214.260.191-2) unstable; urgency=medium

  * Team upload
  * Add dependencies to node-core-js-compat and node-core-js-pure

 -- Yadd <yadd@debian.org>  Tue, 26 Apr 2022 14:25:50 +0200

node-babel7 (7.17.9+~cs214.260.191-1) unstable; urgency=medium

  * Team upload
  * New upstream version 7.17.9+~cs214.260.191
  * Refresh patches
  * Ignore rollup warning during babel-standalone build

 -- Yadd <yadd@debian.org>  Sat, 09 Apr 2022 08:00:52 +0200

node-babel7 (7.17.8+~cs214.260.191-2) unstable; urgency=medium

  * Team upload
  * Fix pirates version

 -- Yadd <yadd@debian.org>  Tue, 22 Mar 2022 06:28:44 +0100

node-babel7 (7.17.8+~cs214.260.191-1) unstable; urgency=medium

  * Team upload
  * Simplfy debian/rules using new features from dh-sequence-nodejs 0.14.5
  * New upstream version 7.17.8+~cs214.260.191 (updates babel and
    @types/babel__core)
  * Add patch for eslint-scope >= 7
  * Fix autopkgtest

 -- Yadd <yadd@debian.org>  Mon, 21 Mar 2022 17:42:49 +0100

node-babel7 (7.17.7+~cs214.260.190-1) unstable; urgency=medium

  * Team upload
  * New upstream version 7.17.7+~cs214.260.190
  * Build doc with dh-nodejs-autodocs
  * Unfuzz patches

 -- Yadd <yadd@debian.org>  Thu, 17 Mar 2022 09:14:52 +0100

node-babel7 (7.17.6+~cs214.260.190-1) unstable; urgency=medium

  * Team upload
  * New upstream version 7.17.6+~cs214.260.190

 -- Yadd <yadd@debian.org>  Fri, 25 Feb 2022 14:26:19 +0100

node-babel7 (7.17.5+~cs214.260.190-1) unstable; urgency=medium

  * Team upload
  * New upstream version 7.17.5+~cs214.260.190

 -- Yadd <yadd@debian.org>  Sun, 20 Feb 2022 09:20:49 +0100

node-babel7 (7.17.4+~cs214.260.190-2) unstable; urgency=medium

  * Team upload
  * Fix CRLF/LF by removing .gitattributes, thanks to Jochen Spricherhof
  * Allow babel-preset-moxy to require @babel/preset-env/lib/module-transformations
    (Closes: #1006061)

 -- Yadd <yadd@debian.org>  Sat, 19 Feb 2022 09:24:48 +0100

node-babel7 (7.17.4+~cs214.260.190-1) unstable; urgency=medium

  * Team upload
  * New upstream version 7.17.4+~cs214.260.190
  * Update tsc patch
  * Require dh-sequence-nodejs 0.12.3 to build charcode using lerna.conf
  * Require node-ampproject-remapping > 2.1

 -- Yadd <yadd@debian.org>  Thu, 17 Feb 2022 09:47:50 +0100

node-babel7 (7.17.2+~cs214.260.190-1) unstable; urgency=medium

  * Team upload
  * New upstream version 7.17.2+~cs214.260.190, updates:
    + babel 7.17.2
    + babel-plugin-polyfill-corejs3 0.5.2
  * Add dependency to node-ampproject-remapping
  * Update tsc patch
  * Update tsc-workaround patch
  * Map @ampproject/remapping into node_modules/ during build

 -- Yadd <yadd@debian.org>  Wed, 09 Feb 2022 18:25:39 +0100

node-babel7 (7.16.12+~cs214.260.189-2) unstable; urgency=medium

  * Team upload
  * Fix load-plugins-from-system-libraries patch (Closes: #1004540)

 -- Yadd <yadd@debian.org>  Tue, 01 Feb 2022 13:46:43 +0100

node-babel7 (7.16.12+~cs214.260.189-1) unstable; urgency=medium

  * Team upload
  * New upstream version 7.16.12+~cs214.260.189
  * Update tsc patch

 -- Yadd <yadd@debian.org>  Thu, 27 Jan 2022 11:26:01 +0100

node-babel7 (7.16.10+~cs214.260.188-1) unstable; urgency=medium

  * Team upload
  * New upstream version 7.16.10+~cs214.260.188
  * Refresh patches
  * Embed import-meta-resolve for build only

 -- Yadd <yadd@debian.org>  Thu, 20 Jan 2022 08:18:38 +0100

node-babel7 (7.16.9+~cs214.260.184-1) unstable; urgency=medium

  * Team upload
  * New upstream version 7.16.9+~cs214.260.184
  * Refresh patches
  * Clean build modules


=== debian/control ===
Source: node-babel7
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Pirate Praveen <praveen@debian.org>
Section: javascript
Priority: optional
Build-Depends: debhelper-compat (= 13)
 , dh-sequence-nodejs (>= 0.14.27~)
 , eslint
 , git <pkg.node-babel7.yarnpkg>
 , gulp (>= 4)
 , help2man
 , node-ampproject-remapping (>= 2.2~)
 , node-array-each
 , node-babel7
 , node-babel7 (>= 7.18~) <!pkg.node-babel7.yarnpkg>
 , node-babel-helper-define-polyfill-provider
 , node-babel-plugin-polyfill-corejs2
 , node-babel-plugin-polyfill-corejs3
 , node-babel-plugin-polyfill-regenerator
 , node-builtins
 , node-cheerio
 , node-clean-css
 , node-css-select
 , node-css-selector-tokenizer
 , node-debbundle-acorn
 , node-deepmerge
 , node-eslint-plugin-eslint-plugin
 , node-gulp-babel (>= 8.0~)
 , node-gulp-cli (>= 2.3.0~)
 , node-gulp-newer
 , node-gulp-plumber
 , node-gulp-rename
 , node-he
 , node-htmlparser2
 , node-invariant
 , node-is-windows
 , node-jest-worker
 , node-jsdom
 , node-leven (>= 3.1.0+~cs1.1.1)
 , node-liftoff (>= 3.1.0-4~)
 , node-lodash (>= 4.17.19+dfsg1~)
 , node-lodash-packages
 , node-make-error
 , node-merge-stream
 , node-multimatch
 , node-output-file-sync
 , node-recast
 , node-rimraf
 , node-rollup-plugin-babel (>= 5.3.1)
 , node-rollup-plugin-commonjs (>= 13.0.0)
 , node-rollup-plugin-inject
 , node-rollup-plugin-json (>= 4.1.0)
 , node-rollup-plugin-node-resolve (>= 9.0.0)
 , node-rollup-plugin-replace (>= 2.3.3)
 , node-rollup-plugin-terser
 , node-serialize-javascript
 , node-supports-color (>= 5.3~)
 , node-through
 , node-through2
 , node-typescript
 , node-types-jest
 , node-vinyl-fs (>= 2.4.4-2~)
 , rollup (>= 2.61.1-4~)
 , terser
 , webpack
 , npm <pkg.node-babel7.yarnpkg>
 , yarnpkg <pkg.node-babel7.yarnpkg>
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/js-team/node-babel
Vcs-Git: https://salsa.debian.org/js-team/node-babel.git
Testsuite: autopkgtest-pkg-nodejs
Homepage: https://babeljs.io/
Rules-Requires-Root: no

Package: node-babel7
Architecture: all
Depends: ${misc:Depends}
 , node-ampproject-remapping (>= 2.2~)
 , node-babel-plugin-add-module-exports
 , node-babel7-runtime (= ${binary:Version})
 , node-babel-plugin-polyfill-corejs2
 , node-babel-plugin-polyfill-corejs3
 , node-babel-plugin-polyfill-regenerator
 , node-browserslist (>= 4.16~)
 , node-chalk (>= 4~)
 , node-clone-deep
 , node-commander (>= 4.1.1)
 , node-convert-source-map
 , node-core-js (>= 3.1.1~)
 , node-core-js-compat
 , node-core-js-pure
 , node-debug
 , node-esutils
 , node-find-cache-dir
 , node-fs-readdir-recursive (>= 1.1.0~)
 , node-glob
 , node-globals
 , node-js-tokens
 , node-jsesc
 , node-json5
 , node-lodash (>= 4.17.19+dfsg1~)
 , node-lodash-packages
 , node-make-dir
 , node-quick-lru
 , node-regenerator-transform (>= 0.14~)
 , node-regexpu-core
 , node-resolve
 , node-semver (>= 7.0~)
 , node-slash
 , node-source-map
 , node-source-map-support
 , node-to-fast-properties
 , node-v8flags
 , nodejs:any
Suggests: node-babel-plugin-polyfill-es-shims
Breaks: node-babel-core (<< 6.26.0+repack-3~)
Provides: ${nodeBabel7:Provides}
 , babeljs (= ${binary:Version})
X-Javascript-Built-Using: ${nodejs:BuiltUsing}
Description: Babel command line
 Babel is a JavaScript compiler to use next generation JavaScript, today.
 .
 ES2015 and beyond: Babel has support for the latest version of JavaScript
 through syntax transformers. These plugins allow you to use new syntax, right
 now without waiting for browser support.

Package: node-babel7-runtime
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
 , node-regenerator-runtime
Provides: ${nodeBabel7Runtime:Provides}
X-Javascript-Built-Using: ${nodejs:BuiltUsing}
Description: Babel modular runtime helpers
 @babel/runtime is meant to be used as a runtime dependency along with the
 Babel plugin @babel/plugin-transform-runtime.

Package: node-babel7-standalone
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Provides: ${nodeBabel7Standalone:Provides}
X-Javascript-Built-Using: ${nodejs:BuiltUsing}
Description: Standalone build of Babel for use in browsers and other non-Node.js environments
 @babel/standalone provides a standalone build of Babel for use in browsers
 and other non-Node.js environments.If you're using Babel in production, you
 should normally not use @babel/standalone. Instead, you should use a build
 system running on Node.js, such as Webpack, Rollup, or Parcel, to transpile
 your JS ahead of time.
 .
 However, there are some valid use cases for @babel/standalone:
  * It provides an easy, convenient way to prototype with Babel. Using
    @babel/standalone, you can get started using Babel with just a simple
    script tag in your HTML.
  * Sites that compile user-provided JavaScript in real-time, like JSFiddle,
    JS Bin, the REPL on the Babel site, JSitor, etc.
  * Apps that embed a JavaScript engine such as V8 directly, and want to use
    Babel for compilation
  * Apps that want to use JavaScript as a scripting language for extending the
    app itself, including all the goodies that ES2015 provides.
  * Other non-Node.js environments (ReactJS.NET, ruby-babel-transpiler,
    php-babel-transpiler, etc).

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpkg/pkg-info.mk

GULP=/usr/bin/gulp
BABELJSDESC="The compiler for writing next generation JavaScript"
BABELJSNODEDESC="CLI that works exactly the same as the Node.js CLI, with the added benefit of compiling with Babel presets and plugins before running it"
BABEL=/usr/bin/babeljs
OTHER_BABEL_COMPONENTS_TO_BUILD=babel-check-duplicated-nodes babel-plugin-dynamic-import-node babel-preset-modules babel-plugin-transform-replace-object-assign pirates
OTHER_BABEL_MODULES_TO_BUILD:=$(shell for m in $(OTHER_BABEL_COMPONENTS_TO_BUILD); do pkgjs-pjson $$m;done)

%:
	dh $@

override_dh_auto_configure:
ifeq (,$(filter pkg.node-babel7.yarnpkg,$(DEB_BUILD_OPTIONS) $(DEB_BUILD_PROFILES)))
	# Don't link internal modules
	pkgjs-utils link_external_modules
	pkgjs-install-minimal
	pkgjs-utils link_build_modules
else
	# No link when built with yarnpkg
endif

override_dh_auto_build:
ifeq (,$(filter pkg.node-babel7.yarnpkg,$(DEB_BUILD_OPTIONS) $(DEB_BUILD_PROFILES)))
	@echo
	@echo "Step 0: other builds"
	pkgjs-utils clean_internal_modules
	mv node_modules node_modules.save
	debian/rules other-babel-modules
	mv node_modules.save node_modules

	@echo
	@echo "Step 1: Link /usr/share/nodejs/@babel/* build dependencies into node_modules"
	LIST=`pkgjs-utils modules_list` && \
		for m in $$LIST `pkgjs-utils main`; do ln -vs /usr/share/nodejs/$$m node_modules/$$m || true; done

	@echo
	@echo "Step 2: build charcodes"
	cd charcodes; \
	for D in ./packages/*; do \
		mkdir "$$D/lib"; \
		$(BABEL) "$$D/src/index.js" -o "$$D/lib/index.js" --env-name "cjs"; \
		$(BABEL) "$$D/src/index.js" -o "$$D/lib/index.mjs" --env-name "esm"; \
	done

	@echo
	@echo "Step 3: build babel"

	#$(MAKE) prepublish-build  YARN=''
	#$(MAKE) prepublish-build-standalone YARN=''
	#gulp build-babel-standalone
	gulp generate-standalone
	NODE_ENV=production BABEL_ENV=production STRIP_BABEL_8_FLAG=true $(MAKE) build-bundle
	STRIP_BABEL_8_FLAG=true $(MAKE) prepublish-build-standalone
	$(MAKE) generate-tsconfig

	@echo
	@echo "Step 4: build typescript declarations"

	# Workaround: babel wants tsc < 4.5
	perl -i -pe '$$_ = "// \@ts-ignore\n$$_"' \
		packages/babel-traverse/src/path/generated/asserts.ts \
		packages/babel-traverse/src/path/generated/validators.ts

	# Now use internal babel modules
	rm -rf dts
	LIST=`pkgjs-utils modules_list;pkgjs-utils main` && (cd node_modules && rm -f $$LIST)
	pkgjs-utils link_internal_modules
	for i in babel-*/ gensync packages/b*; do \
		NAME=`pkgjs-pjson $$i name`; \
		rm -rf node_modules/$$NAME; \
		cp -a $$i node_modules/$$NAME; \
	done
	tsc -b .
	gulp bundle-dts
	$(MAKE) build-typescript-legacy-typings

	@echo
	@echo "Step 5: build @babel/standalone"

	#patch -p1 <debian/patches/ignore-rollup-warnings-for-standalone.patch
	gulp rollup-babel-standalone && \
	cd packages/babel-standalone && \
	terser -o babel.min.js babel.js
	#patch -R -p1 <debian/patches/ignore-rollup-warnings-for-standalone.patch
else
	rm -rf node_modules
	HOME=/build YARN_ENABLE_SCRIPTS=0 yarnpkg install
	HOME=/build yarnpkg add $(OTHER_BABEL_MODULES_TO_BUILD)
	#HOME=/build npm i --ignore-scripts
	#cd node_modules/@rollup/plugin-commonjs && patch -p1 <../../../.yarn/patches/@rollup__plugin-commonjs.patch
	pkgjs-utils link_internal_modules 2>/dev/null
	for m in `pkgjs-utils modules_list`; do \
		if test -e /usr/share/nodejs/$$m -a -L node_modules/$$m; then \
			rm -f node_modules/$$m; \
			ln -vs /usr/share/nodejs/$$m node_modules/$$m; \
		fi; \
	done
	HOME=/build $(MAKE) build
	NODE_PATH=../node_modules debian/rules other-babel-modules BABEL=../node_modules/.bin/babel
	cd charcodes && HOME=/build npm install --ignore-scripts && ./scripts/build.sh
endif
	help2man --no-info \
		--version-string $(DEB_VERSION_UPSTREAM) \
		-n $(BABELJSDESC) \
		packages/babel-cli/bin/babel.js > babeljs.1
	help2man --no-info \
		--version-string $(DEB_VERSION_UPSTREAM) \
		-n $(BABELJSNODEDESC) \
		packages/babel-node/bin/babel-node.js > babeljs-node.1

other-babel-modules:
	set -e; for m  in $(OTHER_BABEL_COMPONENTS_TO_BUILD); do \
			(echo "Building $$m"; \
				cd $$m; \
				rm -rf lib; \
				$(BABEL) --out-dir lib src --ignore '**/*.test.js'; \
			); \
			ls $$m/lib/*.js; \
		done

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS) $(DEB_BUILD_PROFILES)))
override_dh_auto_test:
endif

override_dh_install:
	dh_install
	find debian -name .npmignore -delete
	find debian -name .gitignore -delete
	find debian -name tsconfig.tsbuildinfo -delete
	cd debian/node-babel7 && rm -rf `cat ../../debian/node-babel7-*.install|sed 's/.* //g'`

override_dh_installdocs:
	dh_installdocs
	# Auto-generate components docs
	dh_nodejs_autodocs auto_dispatch

override_dh_fixperms:
	dh_fixperms
	chmod +x debian/node-babel7/usr/share/nodejs/@babel/cli/bin/babel-external-helpers.js \
		debian/node-babel7/usr/share/nodejs/@babel/cli/bin/babel.js \
		debian/node-babel7/usr/share/nodejs/@babel/node/bin/babel-node.js \
		debian/node-babel7/usr/share/nodejs/@babel/parser/bin/babel-parser.js

override_dh_auto_clean:
	dh_auto_clean --buildsystem=nodejs
	$(MAKE) clean-all

=== debian/tests/control ===
Depends: @, @builddeps@
Restrictions: allow-stderr
Features: test-name=rebuild-itself
Test-Command: ./debian/rules override_dh_auto_configure && ./debian/rules override_dh_auto_build

## node-babel7 7.19.3+ds1+~cs214.250.186

=== Makefile ===
FLOW_COMMIT = 92bbb5e9dacb8185aa73ea343954d0434b42c40b
TEST262_COMMIT = e849d40605dbacb5f0373385c5f64532b61b8c39
TYPESCRIPT_COMMIT = ce85d647ef88183c019588bcf398320ce29b625a

# Fix color output until TravisCI fixes https://github.com/travis-ci/travis-ci/issues/7967
export FORCE_COLOR = true

SOURCES = packages codemods eslint

COMMA := ,
EMPTY :=
SPACE := $(EMPTY) $(EMPTY)
COMMA_SEPARATED_SOURCES = $(subst $(SPACE),$(COMMA),$(SOURCES))

YARN := yarn
NODE := $(YARN) node
MAKEJS := node Makefile.js


.PHONY: build build-dist watch lint fix clean test-clean test-only test test-ci publish bootstrap use-esm use-cjs

build:
	$(MAKEJS) build

build-bundle:
	$(MAKEJS) build-bundle

build-no-bundle:
	$(MAKEJS) build-no-bundle

generate-tsconfig:
	$(MAKEJS) generate-tsconfig

generate-type-helpers:
	$(MAKEJS) generate-type-helpers

build-flow-typings:
	$(MAKEJS) build-flow-typings

# For TypeScript older than 3.7
build-typescript-legacy-typings:
	$(MAKEJS) build-typescript-legacy-typings

build-standalone:
	$(MAKEJS) build-standalone

build-standalone-ci: build-no-bundle-ci
	$(MAKEJS) build-standalone

prepublish-build-standalone:
	$(MAKEJS) prepublish-build-standalone

build-dist: build-plugin-transform-runtime-dist

build-plugin-transform-runtime-dist:
	$(MAKEJS) build-plugin-transform-runtime-dist

watch:
	$(MAKEJS) watch

code-quality: tscheck lint

tscheck:
	$(MAKEJS) tscheck

lint-ci: lint check-compat-data-ci

check-compat-data-ci: check-compat-data

lint:
	$(MAKEJS) lint

fix: fix-json fix-js

fix-js:
	$(MAKEJS) fix-js

fix-json:
	$(MAKEJS) fix-json

clean:
	$(MAKEJS) clean

test-cov:
	$(MAKEJS) test-cov

test: lint test-only

clone-license:
	$(MAKEJS) clone-license

prepublish-build:
	$(MAKEJS) prepublish-build

prepublish:
	$(MAKEJS) prepublish

bootstrap-only:
	$(MAKEJS) bootstrap-only

bootstrap:
	$(MAKEJS) bootstrap

use-cjs:
	$(MAKEJS) use-cjs

use-esm:
	$(MAKEJS) use-esm

clean-lib:
	$(MAKEJS) clean-lib

clean-runtime-helpers:
	$(MAKEJS) clean-runtime-helpers

clean-all:
	$(MAKEJS) clean-all


build-no-bundle-ci: bootstrap-only
	$(YARN) gulp build-dev
	$(MAKE) build-flow-typings
	$(MAKE) build-dist

# Does not work on Windows; use "$(YARN) jest" instead
test-only:
	BABEL_ENV=test ./scripts/test.sh
	$(MAKE) test-clean

check-compat-data:
	cd packages/babel-compat-data; CHECK_COMPAT_DATA=true $(YARN) run build-data

build-compat-data:
	cd packages/babel-compat-data; $(YARN) run build-data

update-env-corejs-fixture:
	rm -rf packages/babel-preset-env/node_modules/core-js-compat
	$(YARN)
	$(MAKE) build-bundle
	OVERWRITE=true $(YARN) jest packages/babel-preset-env

test-ci: build-standalone-ci
	BABEL_ENV=test $(YARN) jest --maxWorkers=100% --ci
	$(MAKE) test-clean

test-ci-coverage:
	BABEL_ENV=test $(MAKE) bootstrap
	BABEL_ENV=test BABEL_COVERAGE=true $(YARN) c8 jest --maxWorkers=100% --ci
	rm -rf coverage/tmp

bootstrap-flow:
	rm -rf build/flow
	mkdir -p build
	git clone --filter=blob:none --sparse --single-branch --shallow-since=2021-05-01 https://github.com/facebook/flow.git build/flow
	cd build/flow && git sparse-checkout set "src/parser/test/flow"
	cd build/flow && git checkout -q $(FLOW_COMMIT)

test-flow:
	$(NODE) scripts/parser-tests/flow

test-flow-update-allowlist:
	$(NODE) scripts/parser-tests/flow --update-allowlist

bootstrap-typescript:
	rm -rf ./build/typescript
	mkdir -p ./build
	git clone --filter=blob:none --sparse --single-branch --shallow-since=2022-04-01 https://github.com/microsoft/TypeScript.git ./build/typescript
	cd build/typescript && git sparse-checkout set "tests"
	cd build/typescript && git checkout -q $(TYPESCRIPT_COMMIT)

test-typescript:
	$(NODE) scripts/parser-tests/typescript

test-typescript-update-allowlist:
	$(NODE) scripts/parser-tests/typescript --update-allowlist

bootstrap-test262:
	rm -rf build/test262
	mkdir -p build
	git clone --filter=blob:none --sparse --single-branch --shallow-since=2021-05-01 https://github.com/tc39/test262.git build/test262
	cd build/test262 && git sparse-checkout set "test"
	cd build/test262 && git checkout -q $(TEST262_COMMIT)

test-test262:
	$(NODE) scripts/parser-tests/test262

test-test262-update-allowlist:
	$(NODE) scripts/parser-tests/test262 --update-allowlist


new-version-checklist:
	# @echo "!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!"
	# @echo "!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!"
	# @echo "!!!!!!                                                   !!!!!!"
	# @echo "!!!!!!         Write any message that should             !!!!!!"
	# @echo "!!!!!!            block the release here                 !!!!!!"
	# @echo "!!!!!!                                                   !!!!!!"
	# @echo "!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!"
	# @echo "!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!"
	# @exit 1

new-version:
	$(MAKE) new-version-checklist
	git pull --rebase
	$(YARN) release-tool version -f @babel/standalone

# NOTE: Run make new-version first
publish:
	@echo "Please confirm you have stopped make watch. (y)es, [N]o:"; \
	read CLEAR; \
	if [ "_$$CLEAR" != "_y" ]; then \
		exit 1; \
	fi
	$(MAKE) prepublish
	$(YARN) release-tool publish
	$(MAKE) clean

publish-test:
ifneq ("$(I_AM_USING_VERDACCIO)", "I_AM_SURE")
	echo "You probably don't know what you are doing"
	exit 1
endif
	$(YARN) release-tool version $(VERSION) --all --yes --tag-version-prefix="version-e2e-test-"
	$(MAKE) prepublish-build
	node ./scripts/set-module-type.js clean
	YARN_NPM_PUBLISH_REGISTRY=http://localhost:4873 $(YARN) release-tool publish --yes --tag-version-prefix="version-e2e-test-"
	$(MAKE) clean

=== debian/changelog ===
node-babel7 (7.19.3+ds1+~cs214.250.186-3) unstable; urgency=medium

  * Team upload
  * Source-only upload

 -- Yadd <yadd@debian.org>  Sat, 01 Oct 2022 14:03:12 +0200

node-babel7 (7.19.3+ds1+~cs214.250.186-2) unstable; urgency=medium

  * Team upload
  * Move source-map files into separate node-babel7-debug

 -- Yadd <yadd@debian.org>  Fri, 30 Sep 2022 18:56:19 +0200

node-babel7 (7.19.3+ds1+~cs214.250.186-1) unstable; urgency=medium

  * Team upload
  * New upstream version 7.19.3+ds1+~cs214.250.186
  * Refresh patches
  * Update typescript workarounds

 -- Yadd <yadd@debian.org>  Fri, 30 Sep 2022 12:35:26 +0200

node-babel7 (7.19.2+ds1+~cs214.250.186-2) unstable; urgency=medium

  * Team upload
  * Update lintian overrides
  * Make build reproducible

 -- Yadd <yadd@debian.org>  Tue, 27 Sep 2022 15:53:48 +0200

node-babel7 (7.19.2+ds1+~cs214.250.186-1) unstable; urgency=medium

  * Team upload
  * Exclude .yarn from import
  * Don't launch rebuild-itself test on armel
  * New upstream version 7.19.2+ds1+~cs214.250.186
    (updates @types/babel__traverse)

 -- Yadd <yadd@debian.org>  Tue, 27 Sep 2022 06:38:22 +0200

node-babel7 (7.19.2+~cs214.250.185-2) unstable; urgency=medium

  * Team upload
  * Revert 7.18.13+~cs214.250.184-3 changes (cd5115c2): was a
    @rollup/plugin-node-resolve regression
  * Fix autopkgtest

 -- Yadd <yadd@debian.org>  Mon, 19 Sep 2022 09:43:29 +0200

node-babel7 (7.19.2+~cs214.250.185-1) unstable; urgency=medium

  * Team upload
  * Render build partially reproducible
  * New upstream version 7.19.2+~cs214.250.185
  * Refresh patches

 -- Yadd <yadd@debian.org>  Thu, 15 Sep 2022 10:28:54 +0200

node-babel7 (7.19.0+~cs214.250.185-1) unstable; urgency=medium

  * Team upload
  * New upstream version 7.19.0+~cs214.250.185
  * Refresh patches

 -- Yadd <yadd@debian.org>  Wed, 14 Sep 2022 12:46:12 +0200

node-babel7 (7.18.13+~cs214.250.184-3) unstable; urgency=medium

  * Team upload
  * Add missing build dependency on dh-nodejs for command dh_nodejs_autodocs.
  * Enable __proto__ in test, needed here for pkg-js-autopkgtest 0.15
  * Build with an older @rollup/plugin-node-resolve (Closes: #1019685)
  * Update debian/clean

 -- Yadd <yadd@debian.org>  Tue, 13 Sep 2022 15:33:06 +0200

node-babel7 (7.18.13+~cs214.250.184-2) unstable; urgency=medium

  * Team upload
  * Drop patch fix-terser-import, require terser >= 5

 -- Yadd <yadd@debian.org>  Mon, 05 Sep 2022 12:14:03 +0200

node-babel7 (7.18.13+~cs214.250.184-1) unstable; urgency=medium

  * Team upload
  * New upstream version 7.18.13+~cs214.250.184

 -- Yadd <yadd@debian.org>  Thu, 25 Aug 2022 07:02:41 +0200

node-babel7 (7.18.12+~cs214.250.184-1) unstable; urgency=medium

  * Team upload
  * New upstream version 7.18.12+~cs214.250.184
  * Update patches
  * Update build
  * Add build dependencies to @types/fs-readdir-recursive and @types/types-v8flags

 -- Yadd <yadd@debian.org>  Tue, 09 Aug 2022 09:04:25 +0200

node-babel7 (7.18.9+~cs214.249.185-1) unstable; urgency=medium

  * Team upload
  * New upstream version 7.18.9+~cs214.249.185
  * Embed @types/gensync
  * Refresh patches

 -- Yadd <yadd@debian.org>  Tue, 19 Jul 2022 16:17:00 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Section: javascript
 Priority: optional
 Build-Depends: debhelper-compat (= 13)
- , dh-sequence-nodejs (>= 0.14.27~)
+ , dh-sequence-nodejs (>= 0.15.5~)
  , eslint
  , git <pkg.node-babel7.yarnpkg>
  , gulp (>= 4)
@@ -37,6 +37,7 @@
  , node-jest-worker
  , node-jsdom
  , node-leven (>= 3.1.0+~cs1.1.1)
+ , node-lru-cache
  , node-liftoff (>= 3.1.0-4~)
  , node-lodash (>= 4.17.19+dfsg1~)
  , node-lodash-packages
@@ -58,13 +59,16 @@
  , node-through
  , node-through2
  , node-typescript
+ , node-types-fs-readdir-recursive
  , node-types-jest
+ , node-types-v8flags
  , node-vinyl-fs (>= 2.4.4-2~)
  , rollup (>= 2.61.1-4~)
- , terser
+ , terser (>= 5)
  , webpack
  , npm <pkg.node-babel7.yarnpkg>
  , yarnpkg <pkg.node-babel7.yarnpkg>
+ , dh-nodejs
 Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/js-team/node-babel
 Vcs-Git: https://salsa.debian.org/js-team/node-babel.git
@@ -113,6 +117,7 @@
  , node-v8flags
  , nodejs:any
 Suggests: node-babel-plugin-polyfill-es-shims
+ , node-babel7-debug
 Breaks: node-babel-core (<< 6.26.0+repack-3~)
 Provides: ${nodeBabel7:Provides}
  , babeljs (= ${binary:Version})
@@ -160,3 +165,12 @@
     app itself, including all the goodies that ES2015 provides.
   * Other non-Node.js environments (ReactJS.NET, ruby-babel-transpiler,
     php-babel-transpiler, etc).
+
+Package: node-babel7-debug
+Architecture: all
+Depends: ${misc:Depends}
+Breaks: node-babel7 (<< 7.19.3+ds1+~cs214.250.186-2)
+ , node-babel7-runtime (<< 7.19.3+ds1+~cs214.250.186-2)
+ , node-babel7-standalone (<< 7.19.3+ds1+~cs214.250.186-2)
+Description: Source-map files for node-babel7 packages
+ Source map files for node-babel7, node-babel7-runtime and node-babel7-standalone

=== debian/rules ===
--- 
+++ 
@@ -19,8 +19,9 @@
 override_dh_auto_configure:
 ifeq (,$(filter pkg.node-babel7.yarnpkg,$(DEB_BUILD_OPTIONS) $(DEB_BUILD_PROFILES)))
 	# Don't link internal modules
+	pkgjs-install-minimal
+	rm -rf node_modules/@jridgewell
 	pkgjs-utils link_external_modules
-	pkgjs-install-minimal
 	pkgjs-utils link_build_modules
 else
 	# No link when built with yarnpkg
@@ -38,8 +39,13 @@
 	@echo
 	@echo "Step 1: Link /usr/share/nodejs/@babel/* build dependencies into node_modules"
 	LIST=`pkgjs-utils modules_list` && \
-		for m in $$LIST `pkgjs-utils main`; do ln -vs /usr/share/nodejs/$$m node_modules/$$m || true; done
-
+		for m in $$LIST `pkgjs-utils main`; do \
+			if [ -e /usr/share/nodejs/$$m ]; then \
+				rm -f node_modules/$$m; \
+				ln -vs /usr/share/nodejs/$$m node_modules/$$m || true; \
+			fi; \
+		done
+	ln -s ../../packages/babel-helper-string-parser node_modules/@babel/helper-string-parser || true
 	@echo
 	@echo "Step 2: build charcodes"
 	cd charcodes; \
@@ -56,17 +62,22 @@
 	#$(MAKE) prepublish-build-standalone YARN=''
 	#gulp build-babel-standalone
 	gulp generate-standalone
-	NODE_ENV=production BABEL_ENV=production STRIP_BABEL_8_FLAG=true $(MAKE) build-bundle
-	STRIP_BABEL_8_FLAG=true $(MAKE) prepublish-build-standalone
-	$(MAKE) generate-tsconfig
+	#NODE_ENV=production BABEL_ENV=production STRIP_BABEL_8_FLAG=true $(MAKE) build-bundle
+	node scripts/set-module-type.js
+	NODE_ENV=production BABEL_ENV=production STRIP_BABEL_8_FLAG=true gulp build
+	node packages/babel-types/scripts/generators/flow.js > packages/babel-types/lib/index.js.flow
+	cd packages/babel-plugin-transform-runtime && node scripts/build-dist.js
+	STRIP_BABEL_8_FLAG=true BABEL_ENV=production IS_PUBLISH=true gulp build-babel-standalone
+	node scripts/generators/tsconfig.js
+	node scripts/generators/archived-libs-typings.js
 
 	@echo
 	@echo "Step 4: build typescript declarations"
 
 	# Workaround: babel wants tsc < 4.5
 	perl -i -pe '$$_ = "// \@ts-ignore\n$$_"' \
-		packages/babel-traverse/src/path/generated/asserts.ts \
-		packages/babel-traverse/src/path/generated/validators.ts
+		packages/babel-traverse/src/path/generated/asserts.d.ts \
+		packages/babel-traverse/src/path/generated/validators.d.ts
 
 	# Now use internal babel modules
 	rm -rf dts
@@ -79,7 +90,7 @@
 	done
 	tsc -b .
 	gulp bundle-dts
-	$(MAKE) build-typescript-legacy-typings
+	node packages/babel-types/scripts/generators/typescript-legacy.js > packages/babel-types/lib/index-legacy.d.ts
 
 	@echo
 	@echo "Step 5: build @babel/standalone"
@@ -135,11 +146,17 @@
 	find debian -name .gitignore -delete
 	find debian -name tsconfig.tsbuildinfo -delete
 	cd debian/node-babel7 && rm -rf `cat ../../debian/node-babel7-*.install|sed 's/.* //g'`
+	perl -i -pe 's#(?:\.\./)+usr/#/usr/#' `find debian/*/usr/share/nodejs -name '*.map'`
+	# Move source-map files into node-babel7-debug
+	dh_nodejs_build_debug_package node-babel7-debug
 
 override_dh_installdocs:
 	dh_installdocs
 	# Auto-generate components docs
 	dh_nodejs_autodocs auto_dispatch
+	mv debian/node-babel7-debug/usr/share/doc/node-babel7-debug debian/node-babel7-debug/usr/share/
+	rm -rf debian/node-babel7-debug/usr/share/doc/*
+	mv debian/node-babel7-debug/usr/share/node-babel7-debug debian/node-babel7-debug/usr/share/doc/
 
 override_dh_fixperms:
 	dh_fixperms
@@ -147,7 +164,3 @@
 		debian/node-babel7/usr/share/nodejs/@babel/cli/bin/babel.js \
 		debian/node-babel7/usr/share/nodejs/@babel/node/bin/babel-node.js \
 		debian/node-babel7/usr/share/nodejs/@babel/parser/bin/babel-parser.js
-
-override_dh_auto_clean:
-	dh_auto_clean --buildsystem=nodejs
-	$(MAKE) clean-all

## node-babel7 7.19.6+ds1+~cs214.250.186

=== debian/changelog ===
node-babel7 (7.19.6+ds1+~cs214.250.186-1) unstable; urgency=medium

  * Team upload
  * New upstream version 7.19.6+ds1+~cs214.250.186
  * Unfuzz patches

 -- Yadd <yadd@debian.org>  Sat, 22 Oct 2022 11:05:48 +0200

node-babel7 (7.19.5+ds1+~cs214.250.186-1) unstable; urgency=medium

  * Team upload
  * New upstream version 7.19.5+ds1+~cs214.250.186

 -- Yadd <yadd@debian.org>  Thu, 13 Oct 2022 08:51:21 +0200

## node-babel7 7.20.0+ds1+~cs214.250.186

=== debian/changelog ===
node-babel7 (7.20.0+ds1+~cs214.250.186-1) unstable; urgency=medium

  * Team upload

  [ Debian Janitor ]
  * Apply multi-arch hints. + node-babel7-debug: Add Multi-Arch: foreign.

  [ Yadd ]
  * New upstream version 7.20.0+ds1+~cs214.250.186
  * Refresh patches
  * Update build: drop old hook

 -- Yadd <yadd@debian.org>  Fri, 28 Oct 2022 21:42:39 +0200

=== debian/control ===
--- 
+++ 
@@ -172,5 +172,6 @@
 Breaks: node-babel7 (<< 7.19.3+ds1+~cs214.250.186-2)
  , node-babel7-runtime (<< 7.19.3+ds1+~cs214.250.186-2)
  , node-babel7-standalone (<< 7.19.3+ds1+~cs214.250.186-2)
+Multi-Arch: foreign
 Description: Source-map files for node-babel7 packages
  Source map files for node-babel7, node-babel7-runtime and node-babel7-standalone

=== debian/rules ===
--- 
+++ 
@@ -81,13 +81,13 @@
 
 	# Now use internal babel modules
 	rm -rf dts
-	LIST=`pkgjs-utils modules_list;pkgjs-utils main` && (cd node_modules && rm -f $$LIST)
+	LIST=`pkgjs-utils modules_list;pkgjs-utils main` && (cd node_modules && rm -rf $$LIST)
 	pkgjs-utils link_internal_modules
-	for i in babel-*/ gensync packages/b*; do \
-		NAME=`pkgjs-pjson $$i name`; \
-		rm -rf node_modules/$$NAME; \
-		cp -a $$i node_modules/$$NAME; \
-	done
+	#for i in babel-*/ gensync packages/b*; do \
+	#	NAME=`pkgjs-pjson $$i name`; \
+	#	rm -rf node_modules/$$NAME; \
+	#	cp -a $$i node_modules/$$NAME; \
+	#done
 	tsc -b .
 	gulp bundle-dts
 	node packages/babel-types/scripts/generators/typescript-legacy.js > packages/babel-types/lib/index-legacy.d.ts

## node-babel7 7.20.4+ds1+~cs214.250.187

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 FLOW_COMMIT = 92bbb5e9dacb8185aa73ea343954d0434b42c40b
-TEST262_COMMIT = e849d40605dbacb5f0373385c5f64532b61b8c39
+TEST262_COMMIT = eb67a7689f422cf14776f78191650d0d78c2d2e4
 TYPESCRIPT_COMMIT = ce85d647ef88183c019588bcf398320ce29b625a
 
 # Fix color output until TravisCI fixes https://github.com/travis-ci/travis-ci/issues/7967
@@ -178,7 +178,7 @@
 	rm -rf build/test262
 	mkdir -p build
 	git clone --filter=blob:none --sparse --single-branch --shallow-since=2021-05-01 https://github.com/tc39/test262.git build/test262
-	cd build/test262 && git sparse-checkout set "test"
+	cd build/test262 && git sparse-checkout set "test" "harness"
 	cd build/test262 && git checkout -q $(TEST262_COMMIT)
 
 test-test262:

=== debian/changelog ===
node-babel7 (7.20.4+ds1+~cs214.250.187-1) unstable; urgency=medium

  * Team upload
  * New upstream version 7.20.4+ds1+~cs214.250.187
  * Unfuzz patches

 -- Yadd <yadd@debian.org>  Wed, 09 Nov 2022 09:27:08 +0100

node-babel7 (7.20.1+ds1+~cs214.250.186-2) unstable; urgency=medium

  * Team upload
  * Add fix for rollup 3

 -- Yadd <yadd@debian.org>  Fri, 04 Nov 2022 06:11:27 +0100

node-babel7 (7.20.1+ds1+~cs214.250.186-1) unstable; urgency=medium

  * Team upload
  * New upstream version 7.20.1+ds1+~cs214.250.186

 -- Yadd <yadd@debian.org>  Thu, 03 Nov 2022 11:09:59 +0100

## node-babel7 7.20.6+ds1+~cs214.250.188

=== debian/changelog ===
node-babel7 (7.20.6+ds1+~cs214.250.188-1) unstable; urgency=medium

  * Team upload
  * Drop embedded rollup-plugin-polyfill-node
  * Update lintian overrides
  * New upstream version 7.20.6+ds1+~cs214.250.188
  * Refresh patches

 -- Yadd <yadd@debian.org>  Tue, 29 Nov 2022 13:56:14 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  , git <pkg.node-babel7.yarnpkg>
  , gulp (>= 4)
  , help2man
- , node-ampproject-remapping (>= 2.2~)
+ , node-ampproject-remapping
  , node-array-each
  , node-babel7
  , node-babel7 (>= 7.18~) <!pkg.node-babel7.yarnpkg>
@@ -52,6 +52,7 @@
  , node-rollup-plugin-inject
  , node-rollup-plugin-json (>= 4.1.0)
  , node-rollup-plugin-node-resolve (>= 9.0.0)
+ , node-rollup-plugin-polyfill-node
  , node-rollup-plugin-replace (>= 2.3.3)
  , node-rollup-plugin-terser
  , node-serialize-javascript
@@ -79,7 +80,7 @@
 Package: node-babel7
 Architecture: all
 Depends: ${misc:Depends}
- , node-ampproject-remapping (>= 2.2~)
+ , node-ampproject-remapping
  , node-babel-plugin-add-module-exports
  , node-babel7-runtime (= ${binary:Version})
  , node-babel-plugin-polyfill-corejs2

## node-babel7 7.20.11+ds1+~cs214.250.188

=== debian/changelog ===
node-babel7 (7.20.11+ds1+~cs214.250.188-1) unstable; urgency=medium

  * Team upload
  * Update description
  * New upstream version 7.20.11+ds1+~cs214.250.188
  * Unfuzz patches

 -- Yadd <yadd@debian.org>  Tue, 03 Jan 2023 07:03:40 +0400

## node-babel7 7.20.12+ds1+~cs214.250.188

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 FLOW_COMMIT = 92bbb5e9dacb8185aa73ea343954d0434b42c40b
-TEST262_COMMIT = eb67a7689f422cf14776f78191650d0d78c2d2e4
+TEST262_COMMIT = dac69563480b9f22709fd49d61a32b3a0513b6b1
 TYPESCRIPT_COMMIT = ce85d647ef88183c019588bcf398320ce29b625a
 
 # Fix color output until TravisCI fixes https://github.com/travis-ci/travis-ci/issues/7967
@@ -189,15 +189,15 @@
 
 
 new-version-checklist:
-	# @echo "!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!"
-	# @echo "!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!"
-	# @echo "!!!!!!                                                   !!!!!!"
-	# @echo "!!!!!!         Write any message that should             !!!!!!"
-	# @echo "!!!!!!            block the release here                 !!!!!!"
-	# @echo "!!!!!!                                                   !!!!!!"
-	# @echo "!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!"
-	# @echo "!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!"
-	# @exit 1
+       # @echo "!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!"
+       # @echo "!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!"
+       # @echo "!!!!!!                                                   !!!!!!"
+       # @echo "!!!!!! Add any message here, and UNCOMMENT THESE LINES!  !!!!!!"
+       # @echo "!!!!!!                                                   !!!!!!"
+       # @echo "!!!!!!                                                   !!!!!!"
+       # @echo "!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!"
+       # @echo "!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!"
+       # @exit 1
 
 new-version:
 	$(MAKE) new-version-checklist

=== debian/changelog ===
node-babel7 (7.20.12+ds1+~cs214.250.188-1) unstable; urgency=medium

  * Team upload
  * New upstream version 7.20.12+ds1+~cs214.250.188
  * Unfuzz patches

 -- Yadd <yadd@debian.org>  Tue, 10 Jan 2023 09:01:19 +0400

## node-babel7 7.20.14+ds1+~cs214.269.168

=== debian/changelog ===
node-babel7 (7.20.14+ds1+~cs214.269.168-1) unstable; urgency=medium

  * Team upload
  * New upstream version 7.20.14+ds1+~cs214.269.168

 -- Yadd <yadd@debian.org>  Tue, 31 Jan 2023 08:19:48 +0400

=== debian/control ===
--- 
+++ 
@@ -123,7 +123,7 @@
 Provides: ${nodeBabel7:Provides}
  , babeljs (= ${binary:Version})
 X-Javascript-Built-Using: ${nodejs:BuiltUsing}
-Description: Babel command line
+Description: Babel compiler for writing next generation JavaScript
  Babel is a JavaScript compiler to use next generation JavaScript, today.
  .
  ES2015 and beyond: Babel has support for the latest version of JavaScript
